Bug 809725 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000010 file_ra_state_init()
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:367a2a475d92bfccd9776eddfd0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 04:23 EDT by Ana
Modified: 2012-09-04 13:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ana 2012-04-04 04:23:05 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.9-1.fc16.x86_64 root=UUID=200e25f9-0819-4eca-8433-c717edc8abca ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.2.9-1.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
time:           Wed 04 Apr 2012 10:20:07 AM CEST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
:IP: [<ffffffff81125e41>] file_ra_state_init+0x11/0x30
:PGD 1ffbce067 PUD 21e340067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 2 
:Modules linked in: nls_utf8 ath3k fuse vfat fat usb_storage ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad fcoe ib_core libfcoe ib_addr iscsi_tcp libiscsi_tcp libfc libiscsi scsi_transport_fc scsi_transport_iscsi scsi_tgt lockd rfcomm 8021q garp stp llc bnep nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 ip6t_REJECT nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc joydev iTCO_wdt i2c_i801 vhost_net macvtap macvlan arc4 tun ath9k mac80211 virtio_net ath9k_common ath9k_hw ath r8169 cfg80211 btusb bluetooth uvcvideo mii kvm_intel iTCO_vendor_support videodev media v4l2_compat_ioctl32 kvm microcode dell
:_laptop dell_wmi sparse_keymap rfkill dcdbas uinput sunrpc nouveau ttm mxm_wmi wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 16101, comm: pkill Not tainted 3.2.9-1.fc16.x86_64 #1 Dell Inc. Inspiron N5110/0HVRTT
:RIP: 0010:[<ffffffff81125e41>]  [<ffffffff81125e41>] file_ra_state_init+0x11/0x30
:RSP: 0018:ffff88020a67fca0  EFLAGS: 00010206
:RAX: 0000000000000000 RBX: ffff88021dbeb700 RCX: ffff88021dba8200
:RDX: ffff88021fd9a4d0 RSI: ffff88021fd9a610 RDI: ffff88021dbeb770
:RBP: ffff88020a67fd08 R08: 0000000000000000 R09: 0000000000000000
:R10: 000000000000073d R11: 0000000000040002 R12: ffff880220d933c0
:R13: ffff88021dba8200 R14: ffff88021fd9a4d0 R15: ffff88021fd9a5fc
:FS:  00007fb3b7801700(0000) GS:ffff88022fa80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000010 CR3: 000000020539c000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process pkill (pid: 16101, threadinfo ffff88020a67e000, task ffff880109d42e60)
:Stack:
: ffffffff81177769 0000000000000000 0000000000000000 0000000000000000
: 0000000000000000 ffff880036831540 0000000000000000 0000000000000000
: ffff88020a67fe48 ffff880036831540 0000000000000000 ffff88021fd9a4d0
:Call Trace:
: [<ffffffff81177769>] ? __dentry_open+0x2b9/0x360
: [<ffffffff81178b51>] nameidata_to_filp+0x71/0x80
: [<ffffffff8118882c>] do_last+0x26c/0x8f0
: [<ffffffff81188fc2>] path_openat+0xd2/0x3c0
: [<ffffffff811893d2>] do_filp_open+0x42/0xa0
: [<ffffffff8119510f>] ? alloc_fd+0x4f/0x150
: [<ffffffff81178c57>] do_sys_open+0xf7/0x1d0
: [<ffffffff810ce552>] ? audit_syscall_entry+0x242/0x360
: [<ffffffff81178d50>] sys_open+0x20/0x30
: [<ffffffff815eaac2>] system_call_fastpath+0x16/0x1b
:Code: 81 e9 d7 fe ff ff 48 8b 73 30 e9 65 ff ff ff 90 90 90 90 90 90 90 90 90 90 90 55 48 89 e5 66 66 66 66 90 48 8b 86 80 00 00 00 5d <48> 8b 40 10 48 c7 47 18 ff ff ff ff 89 47 10 c3 66 66 66 66 66 
:RIP  [<ffffffff81125e41>] file_ra_state_init+0x11/0x30
: RSP <ffff88020a67fca0>
:CR2: 0000000000000010

smolt_data:
:
:
:General
:=================================
:UUID: 189ea9ac-41d7-46fb-9465-2aa66f620729
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4390.44
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2201
:System Memory: 7893
:System Swap: 8195
:Vendor: Dell Inc.
:System: Inspiron N5110 Not Specified
:Form factor: Portable
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1200) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(4172:33345:4136:1200) pci, xhci_hcd, USB, N/A
:(5772:43:4136:517) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:278:4136:1226) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1200) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1200) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1200) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3573:4136:1226) pci, nouveau, VIDEO, N/A
:(32902:7198:4136:1200) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7192:4136:1200) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1200) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4136:1200) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33078:4136:1200) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:7171:4136:1200) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1200) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1200) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1200) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1200) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4318:3050:0:0) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(32902:257:4136:1200) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 7670918 5125631 5048852 1925120 1757184 1757184
:/dev/sda7 /home ext4 4096 4096 69808396 67840856 64346444 17473536 17446700 17446700
:
Comment 1 Dave Jones 2012-07-10 17:33:01 EDT
have you been able to reproduce this with 3.4 ?

Note You need to log in before you can comment on or make changes to this bug.